// ----------------------------------------------------------------------------------
//  Copyright 2003 by Digital Designs and Systems, Inc.  http://www.dideas.com
//  No warranty.  The user of this software assumes sole responsibly for the results
//  of execution.  This software may be freely distributed and modified so long as
//  this complete notice is included and unmodified.
// ----------------------------------------------------------------------------------


#include <stdio.h>
#include <malloc.h>
#include <stdlib.h>



#include "aprs.h"


struct s_t_code_list *create_t_code_list(int n_elm) {
  struct s_t_code_list *tcl;  
  tcl = (struct s_t_code_list *) malloc(sizeof(struct s_t_code_list));
  tcl->num_elems = 0;
  tcl->max_elems = n_elm;
  tcl->tc = (struct s_t_code *) malloc(sizeof(struct s_t_code) * n_elm);
  return tcl;
}

struct s_d_code_list *create_d_code_list(int n_elm) {
  struct s_d_code_list *dcl;
  dcl = (struct s_d_code_list *) malloc(sizeof(struct s_d_code_list));
  dcl->num_elems = 0;
  dcl->max_elems = n_elm;
  dcl->dc = (struct s_d_code *) malloc(sizeof(struct s_d_code) * n_elm);
  return dcl;
}


int display_tcodes(struct s_t_code_list *tcl) {
  int i;
  struct s_t_code *ptc;
  printf("T_CODES %d %d\n", tcl->num_elems, tcl->max_elems);
  for(i=0; i < tcl->num_elems; i++) {
    ptc = tcl->tc+i;
    printf("%d   code:%d   diameter:%d\n",i, ptc->code, ptc->diameter);
  }
  return 0;
}


int display_dcodes(struct s_d_code_list *dcl) {
  int i;
  struct s_d_code *pdc;
  // printf("D_CODES %d %d\n", dcl->num_elems, dcl->max_elems);
  for(i=0; i < dcl->num_elems; i++) {
    pdc = dcl->dc+i;

      printf("Code:%d  Shape:%d  XY:%d %d   Hole:%d  Type:%d  Therm:OI:%d %d\n",
	     pdc->code, pdc->shape,
	     pdc->x, pdc->y,          
	     pdc->hole,       pdc->type, 
	     pdc->th_out,       pdc->th_in);
  }
  return 0;
}
