@echo off
rem ----------------------------------------------------------------------------------
rem  Copyright 2003 by Digital Designs and Systems, Inc.  http://www.dideas.com
rem  No warranty.  The user of this software assumes sole responsibly for the results
rem  of execution.  This software may be freely distributed and modified so long as
rem  this complete notice is included and unmodified.
rem ----------------------------------------------------------------------------------

rem This script calls the program tang274x with a set of common tango gerber
rem file extensions. The result is a series of RS274X gerber files.  
rem 
rem Usage:
rem t274 <base_filename> {report_file_path}
rem <base_filename> is the common file name of all the gerber files
rem {report_file_path} is optional and allows the report file to be in another directory.
rem
rem example:
rem t274 rf_ctrl 
rem creates a rs274x file from rf_ctrl.top and rf_ctrl.rep (in the current directory)
rem
rem t274 rf_ctrl ..\
rem creates a rs274x file from rf_ctrl.top and ..\rf_ctrl.rep (in higher directory
rem


if exist %2%1.rep goto SKIP1
echo Can open report file:  %2%1.rep
goto END
:SKIP1
tang274x -v
if exist %1.top tang274x -q -a%2%1.rep -g%1.top -dTOP_LAYER -otop.gbr 
if exist %1.bot tang274x -q -a%2%1.rep -g%1.bot -dBOT_LAYER -obot.gbr
if exist %1.tsl tang274x -q -a%2%1.rep -g%1.tsl -dTOP_SILK -otopsilk.gbr
if exist %1.bsl tang274x -q -a%2%1.rep -g%1.bsl -dBOT_SILK -obotsilk.gbr
if exist %1.tsm tang274x -q -a%2%1.rep -g%1.tsm -dTOP_MASK -otopmask.gbr
if exist %1.bsm tang274x -q -a%2%1.rep -g%1.bsm -dBOT_MASK -obotmask.gbr
if exist %1.vcc tang274x -q -n -a%2%1.rep -g%1.vcc -dPWR_PLANE -ovccplane.gbr
if exist %1.gnd tang274x -q -n -a%2%1.rep -g%1.gnd -dGND_PLANE -ogndplane.gbr
if exist %1.md1 tang274x -q -a%2%1.rep -g%1.md1 -dMID_LAYER_1 -omidlry1.gbr
if exist %1.md2 tang274x -q -a%2%1.rep -g%1.md2 -dMID_LAYER_2 -omidlry2.gbr
goto END

:END
